Cannot detect .NET Core. Please install .NET Core SDK and restart Rider.

Completed

As the title says, when I want to create a new .net core project the templates give this error message.

Running MacOS Mojave 10.14.5

Dotnet version 3.0.100

.NET Core SDK is installed and dotnet executable is at /usr/local/share/dotnet/dotnet which is also what is configured under Toolset and build > .NET Core CLI executable path

What am I missing here? Editing existing projects works fine.

4 comments
Comment actions Permalink

Hello Gustav,

The issue reminds the following well-known one: RIDER-31552. Could you please let me know what is your Rider version and if it is not the latest one, try installing it?

0
Comment actions Permalink

Hi there!
I was facing the exact same problem. And somehow, any attempt to fix it was failing.
But I've remembered that I have installed RIDER from POP!_SHOP (it's a clone of Ubuntu's Snap store).

So, I've removed it and installed using the toolbox app. Everthing is working fine now. I hope it may be helpful to you.

0
Comment actions Permalink

This is still true in May 2021. Do not install the snap store version. It's broken.

0
Comment actions Permalink

Hello James, could you open Configure | Preferences | Preferences | Build, Execution, Deployment | Toolset and Build -> .NET Core CLI executable path and check that there is the right path?

0

Please sign in to leave a comment.